#include <bits/stdc++.h>
using namespace std;
int n;
int g;
char change(char a)
{
    if((a>='A' && a<='Z')  )
    {
        g=abs(n);
        while(g!=0){
            if(n<0) a+=1;
            else if(n>0) a-=1;

            if(a<'A') a='Z';
            if(a>'Z') a='A';
            g--;
        }



    }
    else if(a>='a' && a<='z')
    {

        g=abs(n);
        while(g!=0){
            if(n<0) a+=1;
            else if(n>0) a-=1;

            if(a<'a') a='z';
            if(a>'z') a='a';
            g--;
        }



    }
    return a;
}



int main()
{
    ios_base :: sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    string a;
    getline(cin,a);
    cin>>n;

    for(int i=0; i<a.size(); i++)
    {
        a[i]=change(a[i]);
    }

    cout<<a<<endl;


    return 0;
}

